Subject: Re: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Jan 2012 04:02:25 -0500

Stefan Monnier wrote:

> not only I don't think it's a universal convention, but I can't think of
> any easy reliable way to do that.  E.g. compare
>
>     gcc -o foo -toto.c
> vs
>     gcc -c foo.c -toto.c

Then perhaps it is academic, but I see no ambiguity, since dired keeps
command and file(s) to operate on separate:

  ! gcc -o foo RET
  ! gcc -c RET

It's not like we have to try and decode an entire arbitrary command
string.